IKEv1 жана IKEv2 алдын ала бөлүшүлгөн ачкыч менен: аутентификация эмнеси менен айырмаланат
Эки версия тең ачкычты жибербей, аны билүүсүн далилдейт, бирок ар кандай хешке ар кандай киргизүүлөрдү салат. Эки изди салыштырыңыз.
Бирдей алдын ала бөлүшүлгөн ачкыч менен жабдылган эки шлюз кол алышууну аяктайт, пакет жазуусу болсо зымдан өткөн эч кандай сырды көрсөтпөйт. Бул — адамдар эстеп калган бөлүк. Кызыктуу бөлүгү — ар бир версия сырдын белгилүү экендигин далилдөө үчүн эмнени эсептей турганы, анткени IKEv1 менен IKEv2 бул далилди ар кандай киргизүүлөрдөн курат жана ошол эле учурда ар кандай маалыматты ачат. Эки изди катар окуңуз, айырма сырткы болуудан башталат.
Далил эмнеге жетиши керек
Diffie-Hellman эки тарапка тең орток маани берет, анын ачык жарымдарын байкоочу ар ким эсептей алат. Өзү менен бул инсандык жөнүндө эч нерсени далилдебейт: ачкыч алмашууну аяктаган чабуулчу сиздин шлюзуңуз менен бирдей орток мааниге ээ. Аутентификация кадамы ошол алмашууну эки гана тарапта болгон сырга, ошондой эле алар келишкен инсандыктарга жана параметрлерге байлоо үчүн бар.
Дал ушул байланыш хештин ачкычтан көбүрөөк нерсени камтышынын себеби. Эгер ал сырды гана камтыса, чабуулчу аны башка инсандыктар же сунуштар менен башка алмашууга кайра ойной алмак.
IKEv1 Main Mode: SKEYID чыгарып, анан далилде
Main Mode алты билдирүүнү аткарат. Биринчи жуп коопсуздук ассоциациясын сүйлөшөт, экинчиси Diffie-Hellman ачык маанилерин жана nonce'лорду алмашат, үчүнчүсү жаңы орнотулган шифрлөө астында инсандыктарды жана аутентификация хештерин алып жүрөт. RFC 2409 курулушту аныктайт: алдын ала бөлүшүлгөн ачкыч менен аутентификацияда SKEYID сырдан жана эки nonce'дон, ал эми кийинки ачкыч материалы SKEYID, Diffie-Hellman орток мааниси, cookie'лор жана константалардан чыгарылат.
Бешинчи жана алтынчы билдирүүлөрдөгү хеш Diffie-Hellman мааниси, эки cookie, сунуш жана жөнөтүүчүнүн инсандыгы боюнча SKEYID ачкычы менен эсептелет. Алуучу аны өзүнүн жабдылган сыры менен кайра эсептейт. Дал келбестик алмашууну аяктайт, ал эми сырдын өзү эч качан жүк болбойт.
Aggressive Mode ошол эле ишти үч билдирүүгө кысат, башкача айтканда инсандыктар жана аутентификация хеши шифрленген канал пайда болмокко чейин жолго чыгат. Бул болжолдоого мүмкүн болгон сыр үчүн чыныгы таасир, жана сырдын жиберилген-жиберилбегени тууралуу суроодон өзүнчө. IKEv1 RFC 9395 боюнча эскирген, ошондуктан эски из — орнотуу максаты эмес, диагностикалык көнүгүү.
IKEv2: башка чыгаруу жана башка AUTH жүгү
IKEv2 IKEv1 ачкыч графигин кайра колдонбойт. Баштапкы IKE ачкычтары nonce'лордон жана Diffie-Hellman орток маанисинен курулган уруктан келет, ал эми бала коопсуздук ассоциациялары ошондон чыгарылат. Алдын ала бөлүшүлгөн ачкыч урукка такыр кирбейт.
Андан кийин аутентификация AUTH жүгү катары көрүнөт. Бөлүшүлгөн ачкыч менен аутентификация үчүн RFC 7296 сырдын толтурулган формасын белгилейт, ал сырды туруктуу сап менен хештештин натыйжасында алынат Key Pad for IKEv2, анан кол коюлган алмашуу маалыматтары жана инсандык ошол толтурулган ачкыч менен хештелет. Текшерүүчү ошол эле маанини кайра кура алат; байкоочу сырсыз кура албайт.
Эмне өзгөргөнүн байкаңыз. IKEv1де сыр аутентификация хеши пайда боло электе эле ачкыч графигине аралашат; IKEv2де ачкыч графиги сырдан көз каранды эмес, ал эми далил кол коюлган октеттерге байланган өзүнчө жүк. Ошол эле концептуалдык кепилдик, башка механизм, ошондуктан параметр аттары менен жазуулар бир-бирине дал келбейт.
Байкоочу чындыгында эмнени билет
Diffie-Hellman ачык маанилери, сунуштар, nonce'лор жана cookie'лор эки версияда тең көрүнөт. Инсандыктар IKEv1 Aggressive Mode'до көрүнөт жана башка учурларда корголот. Сыр эч качан көрүнбөйт.
Акыркы сүйлөмдүн айтууга татыктуу чеги бар. Адам тандаган алсыз сырды болжолдоо аркылуу чабуулга алууга болот: чабуулчу талапкер сыр үчүн аутентификация мааниси кандай болорун эсептеп, салыштырат. IKEv1 Aggressive Mode муну эң арзан кылат, анткени далил ачык, ал эми стандарттар жалпысынан төмөн энтропиялуу сырлар тууралуу эскертет. Сырды эч качан жибербөө начар сырды коопсуз кылуу менен бирдей эмес.
Бул салыштыруу менен эмне кылуу керек
Ар бир тарап жубу үчүн бир уникалдуу сыр колдонуңуз, аны кокустан алынган булактан жаратыңыз жана аны тараткан даярдоо жолу менен айлантыңыз. Эгер сыр ар бир филиалга жиберилген конфигурация шаблонунда сакталса, бир жердеги бузулуу — бардык жердеги бузулуу.
Операциялык чыгымдар кабыл алынарлык жерде сертификатка негизделген аутентификацияны артык көрүңүз, анткени ал орток сырды болжолдоо маселесин жоёт жана ар бир тарапка өзүнчө инсандык берет. Алдын ала бөлүшүлгөн ачкыч калган жерде аны узун кармаңыз, аймагын тар чектеңиз жана IKE версиясын өз ара аракеттенүү деталы эмес, коопсуздук чечими катары караңыз.